%define soversion 1

Summary: The SquareList Data Structure Library
Name: squarelists
Version: 1.1.3
Release: 1
Source: squarelists-%{version}.tgz
License: GPL
Group: System Environment/Libraries
URL: http://www.uvm.edu/~fcs/tools/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The SquareLists Data Structure Library provides a very efficient
sorting algorithm that maintains the entire structure in least
to maximum order. This package contains shared libraries, include
file and manual pages needed to develop applications which use
SquareList Data Structures.

%prep
%setup -c

%build 
PATH=${PATH}:${PWD}/bin
TOPDIR=${PWD}
LD_LIBRARY_PATH=${TOPDIR}:${TOPDIR}/bin ; export LD_LIBRARY_PATH

make DFLAGS=-O2

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT/usr
mkdir $RPM_BUILD_ROOT/usr/lib
mkdir $RPM_BUILD_ROOT/usr/include
mkdir $RPM_BUILD_ROOT/usr/share
mkdir $RPM_BUILD_ROOT/usr/man
mkdir $RPM_BUILD_ROOT/usr/man/man3
make DEST=$RPM_BUILD_ROOT/usr install
mv $RPM_BUILD_ROOT/usr/man $RPM_BUILD_ROOT/usr/share/man

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%{_prefix}/include
%attr(0755,root,root) %{_libdir}/*.so*
%attr(0644,root,root) %{_mandir}/man3*/*

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Sat Sep 27 2003 Francis Swasey <fcs@uvm.edu> 1.1.3-1
- Repackage new distribution

* Fri Sep 26 2003 Francis Swasey <fcs@uvm.edu> 1.1.2-1
- Repackage new distribution

* Mon Sep 15 2003 Francis Swasey <fcs@uvm.edu> 1.1.1-1
- Repackage new distribution

* Thu May 22 2003 Francis Swasey <Frank.Swasey@uvm.edu> 1.0.1-1
- Repackage new distribution

* Wed May 21 2003 Francis Swasey <frank.swasey@uvm.edu> 1.0.0-1
- Initial packaging

